<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class CreatePlayerTag extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $exists = $this->hasTable('player_tag');
        if (!$exists) {
            $table = $this->table('player_tag', ['comment' => '玩家标签']);
            $table->addColumn('name', 'string', ['limit' => 125, 'null' => false, 'default' => '', 'comment' => '标签名称'])
                ->addColumn('created_at', 'timestamp', ['comment' => '创建时间'])
                ->addColumn('updated_at', 'timestamp', ['comment' => '更新时间'])
                ->create();
        }
    }
}
